summaryrefslogtreecommitdiffstats
path: root/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.d/functions.d/larch-hooks
diff options
context:
space:
mode:
authorJames Meyer <jams@linhes.org>2010-12-05 16:20:29 (GMT)
committerJames Meyer <jams@linhes.org>2010-12-05 16:20:29 (GMT)
commitd90635a05239a0a773158378cc964b0b34a41452 (patch)
treecd70ddb5dc917d99204a3398c3176ae7249e91e9 /build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.d/functions.d/larch-hooks
parent2a67bf8b848ba40cc3b27b27e02e08d6753a2067 (diff)
downloadlinhes_dev-d90635a05239a0a773158378cc964b0b34a41452.zip
profile sync: minor change to the countdown after cd is ejected.
Also synced up added packs between testing and stable.
Diffstat (limited to 'build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.d/functions.d/larch-hooks')
-rw-r--r--build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.d/functions.d/larch-hooks15
1 files changed, 10 insertions, 5 deletions
diff --git a/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.d/functions.d/larch-hooks b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.d/functions.d/larch-hooks
index b43b5c5..1fa97d7 100644
--- a/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.d/functions.d/larch-hooks
+++ b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.d/functions.d/larch-hooks
@@ -81,10 +81,15 @@ doeject ()
# echo "It's safe to switch the computer off now"
# echo -ne "Press Enter to continue"
# read junk
- for i in 10 9 8 7 6 5 4 3 2 1
+ for i in 10 9 8 7 6 5 4 3 2 1
do
- sleep 1
- printf "\r%02d" $i
- done
- eject -t $1
+ read -t 1 -p "press any key to continue ($i): "
+ if [ $? = 0 ]
+ then
+ break
+ fi
+ printf "\r"
+ done
+
+ eject -t $1
}